> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 代幣 - 交易者



## OpenAPI

````yaml /zh-Hant/api-reference/openapi-data-zh-Hant.yaml GET /v2/token/{chain}/{tokenAddress}/traders/{tag}
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: Dexpool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/token/{chain}/{tokenAddress}/traders/{tag}:
    get:
      tags:
        - Token
      summary: Token - Get Token Traders
      description: >-
        Retrieve traders for a token by tag (fresh, sandwish, bundle, sniper,
        dev, pro, insider)
      operationId: get.token.traders
      parameters:
        - name: chain
          in: path
          description: A chain name listed in supported networks
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: An address of a token
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
        - name: tag
          in: path
          description: >-
            Token trader tag (fresh, sandwish, bundle, sniper, dev, pro,
            insider)
          required: true
          schema:
            $ref: '#/components/schemas/TokenTraderTag'
          example: fresh
        - name: cursor
          in: query
          description: Pagination cursor
          required: false
          schema:
            type: string
          example: eyJpZCI6IjEyMyJ9
        - name: limit
          in: query
          description: Number of results per page
          required: false
          schema:
            type: integer
            format: int64
            default: 20
          example: 20
        - name: direction
          in: query
          description: Pagination direction (next or prev)
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/PageDirection'
            default: next
          example: next
      responses:
        '200':
          description: Get Token Traders
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageResponse_TokenTrader'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenTraderTag:
      type: string
      description: Token trader tag
      enum:
        - fresh
        - sandwish
        - bundle
        - sniper
        - dev
        - pro
        - insider
        - kol
        - bluechip
        - smart
    PageDirection:
      type: string
      description: Pagination direction
      enum:
        - next
        - prev
    PageResponse_TokenTrader:
      type: object
      description: Generic pagination response
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            description: Token trader info — mirrors TS `TokenTraderDTO`
            required:
              - address
            properties:
              address:
                type: string
                description: Wallet address
                example: MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2
              blockTimestamp:
                type:
                  - string
                  - 'null'
                description: Block timestamp (sniper)
                example: '2025-01-15T10:30:00.000Z'
              onchainCreatedAt:
                type:
                  - string
                  - 'null'
                description: Onchain account creation time (fresh/dev)
                example: '2025-01-15T10:30:00.000Z'
              percentileRankTradeAmountInUsd:
                type:
                  - string
                  - 'null'
                description: Percentile rank of trade amount in USD (pro/insider)
                example: '0.98'
              percentileRankTradeCount:
                type:
                  - integer
                  - 'null'
                format: int64
                description: Percentile rank of trade count (pro)
                example: 95
              rankTradeAmountInUsd:
                type:
                  - string
                  - 'null'
                description: Rank trade amount in USD (insider)
                example: '0.95'
              tradeAmountInNative:
                type:
                  - string
                  - 'null'
                description: Trade amount in native token (pro/insider)
                example: '1500.50'
              tradeAmountInUsd:
                type:
                  - string
                  - 'null'
                description: Trade amount in USD (pro/insider)
                example: '45000.00'
              tradeCount:
                type:
                  - integer
                  - 'null'
                format: int64
                description: Trade count (pro/insider)
                example: 42
              transactionSignature:
                type:
                  - string
                  - 'null'
                description: Transaction signature (sandwish/bundle/sniper)
                example: 5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz...
          description: Page data
        endCursor:
          type:
            - string
            - 'null'
          description: Cursor for the end of current page
          example: eyJpZCI6ImVuZCJ9
        hasNext:
          type: boolean
          description: Whether there is a next page
          example: false
        hasPrev:
          type: boolean
          description: Whether there is a previous page
          example: false
        startCursor:
          type:
            - string
            - 'null'
          description: Cursor for the start of current page
          example: eyJpZCI6InN0YXJ0In0=
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````